/* $VER: Amiga.h 1.0 (02.03.95) */

#ifndef _AMIGA_H_
#define _AMIGA_H_

#ifndef WORKBENCH_STARTUP_H
struct WBStartup;
#endif

#ifndef DOS_DOSEXTENS_H
struct DosLibrary;
#endif

#ifndef EXEC_EXECBASE_H
struct ExecBase;
#endif

#ifndef EXEC_LIBRARIES_H
struct Library;
#endif

extern struct WBStartup *WorkbenchMessage;
extern struct DosLibrary *DOSBase;
extern struct ExecBase *SysBase;
extern struct Library *UtilityBase;

#if defined(__GNUC__)
#  define __NORETURN __attribute__((noreturn))
#  define __ALIGN(Variable) Variable __attribute__((aligned(4)))
#  define COMPILER "GNU C " __VERSION__
#  undef CPU
#  if defined(mc68040)
#    define CPU "mc68040"
#  elif defined(mc68030)
#    if defined(__HAVE_68881__)
#      define CPU "mc68ec030/mc68881"
#    else
#      define CPU "mc68ec030"
#    endif
#  elif defined(mc68020)
#    if defined(__HAVE_68881__)
#      define CPU "mc68020/mc68881"
#    else
#      define CPU "mc68020"
#    endif
#  else
#    define CPU "mc68000"
#  endif
#elif defined(__SASC_510)
#  define __NORETURN
#  define __ALIGN(Variable) __aligned Variable
#  define COMPILER "SAS/C 5.10b"
#  define CPU "mc68000"
#else
#  error Compiler not supported.
#endif

#endif  /* _AMIGA_H_ */
