/* $VER: stdlib.h 1.0 (02.03.95) */

#ifndef _STDLIB_H_
#define _STDLIB_H_

#ifndef _STDDEF_H_
#include <stddef.h>
#endif

#define	EXIT_SUCCESS	0
#define	EXIT_FAILURE	20

void *malloc (size_t);
void *calloc (size_t, size_t);
void *realloc (void *, size_t);
void free (void *);
int abs (int);
long labs (long);
void *bsearch (const void *, const void *, size_t, size_t, int (*)(const void *, const void *));
void qsort (void *, size_t, size_t, int (*)(const void *, const void *));
void exit (int);

#ifdef __SASC_510
int __builtin_abs(int);
#define abs __builtin_abs
#endif  /* __SASC_510 */

#endif /* _STDLIB_H_ */
