#include <string.h>

/************************************************************************/

#undef strcpy

#if defined(__SASC_510)

char *strcpy(char *Dest, const char *Source)

{
  return __builtin_strcpy(Dest,Source);
}

#elif defined(__GNUC__) && defined(mc68000)

asm("
	.globl	_strcpy
_strcpy:
	moveml	sp@(4:W),d0/a0
	movel	d0,a1
L1:	moveb	a0@+,a1@+
	jne	L1
	rts
");

#else

char *strcpy(char *Dest, const char *Source)

{
  char *t;

  t=Dest;
  while (*t++=*Source++)
    ;
  return Dest;
}

#endif
